## python-nubia 0.2b5

=== requirements.txt ===
dataclasses;python_version<'3.7'
jellyfish
prettytable
prompt-toolkit>=2
Pygments
pyparsing>=2.2.0
termcolor
typing-inspect
wcwidth

=== debian/changelog ===
python-nubia (0.2b5-2) unstable; urgency=medium

  * d/control.
    - Add Vcs-Browser and Vcs-Git
    - Change Maintainer to Debian Python Team.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 20 Sep 2021 08:12:13 +0900

python-nubia (0.2b5-1) unstable; urgency=low

  * Initial release. (Closes: #990120)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 15 Jun 2021 11:20:20 +0900

=== debian/control ===
Source: python-nubia
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-python,
	python3-all,
	python3-setuptools,
	python3-jellyfish,
	python3-termcolor,
	python3-typing-inspect,
	python3-prompt-toolkit,
	python3-prettytable,
	python3-coverage,
	python3-nose
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/facebookincubator/python-nubia
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-nubia
Vcs-Git: https://salsa.debian.org/python-team/packages/python-nubia.git

Package: python3-nubia
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: framework for building beautiful shells for python3
 This is a lightweight framework for building command-line applications
 with Python. This was originally designed for the "logdevice interactive
 shell (aka. `ldshell`)" at Facebook. Since then it was factored out to
 be a reusable component and several internal Facebook projects now rely
 on it as a quick and easy way to get an intuitive shell/cli application
 without too much boilerplate.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=nubia

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3
	rm -rf $(CURDIR)/debian/python3-nubia/usr/lib/python3/dist-packages/nubia_complete
	rm -rf $(CURDIR)/debian/python3-nubia/usr/lib/python3/dist-packages/example
	rm -rf $(CURDIR)/debian/python3-nubia/usr/bin

## python-nubia 0.2.3

=== debian/changelog ===
python-nubia (0.2.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Add debian/watch file, using pypi.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Update standards version to 4.6.1, no changes needed.

  [ Nobuhiro Iwamatsu ]
  * New upstream release. (Closes: #1046293)
  * Update upstream information.
  * Use python3-nose2 instead of python3-nose in B-D. (Closes: #1018543)
  * Drop old patch.
  * Add pybuild-plugin-pyproject and python3-poetry to B-D.
  * Remove usr/lib/python3/dist-packages/LICENSE from package.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 04 Sep 2023 09:56:42 +0900

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,12 @@
 	python3-prompt-toolkit,
 	python3-prettytable,
 	python3-coverage,
-	python3-nose
-Standards-Version: 4.5.1
+	python3-nose2,
+	pybuild-plugin-pyproject,
+	python3-poetry
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: https://github.com/facebookincubator/python-nubia
+Homepage: https://github.com/netenglabs/nubia-cli
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-nubia
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-nubia.git

## python-nubia 0.2.5

=== debian/changelog ===
python-nubia (0.2.5-1) unstable; urgency=medium

  * Update to 0.2.5.
  * Update d/control
    - Add python3-cwcwidth, python3-pygments and python3-pyparsing to B-D.
    - Remove python3-coverage and python3-nose2 from B-D.
    - Use python3-poetry-core instead of python3-poetry.
  * Update d/upstream/metadata
    - Add Bug-Database and Bug-Submit.
  * Update d/copyright
    - Update copyright year.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 23 Oct 2024 11:54:12 +0900

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,15 @@
 	python3-all,
 	python3-setuptools,
 	python3-jellyfish,
+	python3-prettytable,
+	python3-prompt-toolkit,
 	python3-termcolor,
 	python3-typing-inspect,
-	python3-prompt-toolkit,
-	python3-prettytable,
-	python3-coverage,
-	python3-nose2,
-	pybuild-plugin-pyproject,
-	python3-poetry
+	python3-cwcwidth,
+	python3-pygments,
+	python3-pyparsing,
+	python3-poetry-core,
+	pybuild-plugin-pyproject
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/netenglabs/nubia-cli

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,5 @@
 	dh_python3
 	rm -rf $(CURDIR)/debian/python3-nubia/usr/lib/python3/dist-packages/nubia_complete
 	rm -rf $(CURDIR)/debian/python3-nubia/usr/lib/python3/dist-packages/example
+	rm -rf $(CURDIR)/debian/python3-nubia/usr/lib/python3/dist-packages/LICENSE
 	rm -rf $(CURDIR)/debian/python3-nubia/usr/bin

=== debian/watch ===
version=4
https://pypi.debian.net/python-nubia/python-nubia-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
